import {
  db, Model, Draft, WikidotUser, WikidotPage, Branch,
} from '../models';

import repl = require('repl');

export default async function runConsole(): Promise<void> {
  process.env.REPL_MODE = '1';

  const replServer = repl.start();

  replServer.context.r = (p: Promise<any>) => {
    p.then(result => console.log('\n\n', result, '\n\nPress enter to continue')).catch(console.error);
  };
  replServer.context.s = (p: Promise<any>) => {
    p.then(() => console.log('\n\nDone', '\n\nPress enter to continue')).catch(console.error);
  };

  replServer.context.db = db;
  replServer.context.Model = Model;
  replServer.context.WikidotUser = WikidotUser;
  replServer.context.WikidotPage = WikidotPage;
  replServer.context.Branch = Branch;
  replServer.context.Draft = Draft;
}
