import { reportError } from '../core/utils';

const TASK_NAME_REG = /^[a-zA-Z0-9-]+$/;

export default async function executeTask(task: string, args: Array<string | number>, exitAfter = false): Promise<void> {
  if (!TASK_NAME_REG.test(task)) {
    throw new Error(`Incorrect task name "${task}"`);
  }

  await require(`../tasks/${task}`).default.apply({}, args);

  if (exitAfter) {
    process.nextTick(() => process.exit());
  }
}
