import { Request, Response } from 'express';
import { Draft } from '../../models';

export default async (req: Request, res: Response) => {
  const { title, content } = req.body;
  if (!title || !content) {
    res.status(400).send({ error: 'Missing title or content' });
  }

  const result = await Draft
    .query()
    .insert({ title, content });

  res.send({ id: result.id });
};
