import { Request, Response } from 'express';
import { Draft } from '../../models';

export default async (req: Request, res: Response) => {
  const id = Draft.ID_REG.test(req.params.id) && req.params.id;
  if (!id) {
    res.status(400).send({ error: 'Missing or incorrect draft id' });
    return;
  }

  const result = await Draft
    .query()
    .where({ id })
    .first()
    .delete()
    .returning('id');

  if (result) {
    res.send(result);
  } else {
    res.status(404).send({ error: 'Draft not found' });
  }
};
