import { Request, Response } from 'express';
import { WikidotPage } from '../../models';

const PAGE_NAME_REGEXP = /^[\w-:]*$/;

export default async (req: Request, res: Response) => {
  const { wikiName, pageName = 'main' } = req.params;
  if (!wikiName) {
    res.status(400).send({ error: 'Wiki name is required' });
  }

  const page = await WikidotPage
    .query()
    .where({ wikiName, name: pageName })
    .first();

  res.send({ page });
};
