import { Model, db } from '.';

export default class WikidotPage extends Model {
  public wikiName: string;

  public name: string;

  public title: string;

  public content: string;

  public tags: string[];

  public rating: number;

  public html: string;

  public createdAt: Date;

  public createdBy: Date;

  public updatedAt: Date;

  public updatedBy: Date;

  public static get tableName(): string {
    return 'wikidot_pages';
  }

  public static upsert(page: object): Promise<WikidotPage> {
    const insert = db(WikidotPage.tableName).insert(page);
    const update = db.queryBuilder().update(page);
    return Promise.resolve(db.raw('? ON CONFLICT (name, wiki_name) DO ? returning *', [insert, update]).get('rows').get(0));
  }

  public static getRandomRuPageName(): Promise<string> {
    return Promise.resolve(db.raw('SELECT name FROM wikidot_ru_random_page_view').then((r: any) => r.rows[0].name));
  }
}
