"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const repl = require("repl");
async function runConsole() {
    process.env.REPL_MODE = '1';
    const replServer = repl.start();
    replServer.context.r = (p) => {
        p.then(result => console.log('\n\n', result, '\n\nPress enter to continue')).catch(console.error);
    };
    replServer.context.s = (p) => {
        p.then(() => console.log('\n\nDone', '\n\nPress enter to continue')).catch(console.error);
    };
    replServer.context.db = models_1.db;
    replServer.context.Model = models_1.Model;
    replServer.context.WikidotUser = models_1.WikidotUser;
    replServer.context.WikidotPage = models_1.WikidotPage;
    replServer.context.Branch = models_1.Branch;
    replServer.context.Draft = models_1.Draft;
}
exports.default = runConsole;
//# sourceMappingURL=console.js.map