"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const PgBoss = require('pg-boss');
exports.boss = new PgBoss({
    db: {
        executeSql: async (query, originalValues = []) => {
            const text = query.replace(/\$(\d)/g, ':$1');
            const values = originalValues.reduce((result, value, index) => (Object.assign({}, result, { [`${index + 1}`]: value })), {});
            return models_1.db.raw(text, values);
        },
    },
});
exports.bossReady = exports.boss.start();
async function enqueue(task, args, queue = 'common') {
    await exports.bossReady;
    return exports.boss.publish(queue, { task, args }, { retryLimit: 2 });
}
exports.enqueue = enqueue;
function batchedEnqueue(tasks, queue = 'common') {
    return tasks.map(({ task, args }) => enqueue(task, args, queue));
}
exports.batchedEnqueue = batchedEnqueue;
//# sourceMappingURL=queues.js.map