"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TASK_NAME_REG = /^[a-zA-Z0-9-]+$/;
async function executeTask(task, args, exitAfter = false) {
    if (!TASK_NAME_REG.test(task)) {
        throw new Error(`Incorrect task name "${task}"`);
    }
    await require(`../tasks/${task}`).default.apply({}, args);
    if (exitAfter) {
        process.nextTick(() => process.exit());
    }
}
exports.default = executeTask;
//# sourceMappingURL=tasks-executer.js.map