"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const wikidot_kit_1 = require("wikidot-kit");
exports.wk = new wikidot_kit_1.default(process.env.WIKIDOT_API_TOKEN || '');
exports.SITES = {
    'scp-ru': {
        name: 'scp-ru',
        url: 'http://scpfoundation.net',
        title: 'SCP Foundation Russia',
        description: 'Russian branch main wiki',
    },
    'scp-wiki': {
        name: 'scp-wiki',
        url: 'http://www.scp-wiki.net',
        title: 'SCP Foundation',
        description: 'Original English wiki',
    },
    'wanderers-library': {
        name: 'wanderers-library',
        url: 'http://wanderers-library.wikidot.com',
        title: 'The Wanderers\' Library',
        description: 'Collaborative fiction exercise',
    },
    fondationscp: {
        name: 'fondationscp',
        url: 'http://fondationscp.wikidot.com',
        title: 'Fondation SCP',
        description: 'The French Branch',
    },
    'scp-wiki-de': {
        name: 'scp-wiki-de',
        url: 'http://scp-wiki-de.wikidot.com',
        title: 'SCP Foundation in Deutschland',
        description: 'The German Branch',
    },
    'scp-pl': {
        name: 'scp-pl',
        url: 'http://scp-wiki.net.pl',
        title: 'Zabezpieczać Przechowywać Chronić',
        description: 'The Polish Branch',
    },
    fondazionescp: {
        name: 'fondazionescp',
        url: 'http://fondazionescp.wikidot.com',
        title: 'Branca Italiana della SCP Foundation',
        description: 'The Italian branch',
    },
    lafundacionscp: {
        name: 'lafundacionscp',
        url: 'http://lafundacionscp.wikidot.com',
        title: 'Rama Hispanohablante',
        description: 'The Spanish Branch',
    },
    'scp-wiki-cn': {
        name: 'scp-wiki-cn',
        url: 'http://scp-wiki-cn.wikidot.com',
        title: '控制，收容，保护',
        description: 'The Chinese Branch',
    },
    'scp-kr': {
        name: 'scp-kr',
        url: 'http://ko.scp-wiki.net',
        title: '확보, 격리, 보호',
        description: 'The Korean Branch',
    },
    'scp-jp': {
        name: 'scp-jp',
        url: 'http://ja.scp-wiki.net',
        title: '確保、収容、保護',
        description: 'The Japanese Branch',
    },
    'scp-th': {
        name: 'scp-th',
        url: 'http://scp-th.wikidot.com',
        title: 'จับ, เก็บ, เฝ้า',
        description: 'The Thai Branch',
    },
    'scp-ukrainian': {
        name: 'scp-ukrainian',
        url: 'http://scp-ukrainian.wikidot.com',
        title: 'Охороняти. Утримувати. Захищати.',
        description: 'Ukrainian branch',
    },
    'scp-pt-br': {
        name: 'scp-pt-br',
        url: 'http://scp-pt-br.wikidot.com/',
        title: 'Fundação SCP.',
        description: 'The Portuguese branch',
    },
};
exports.SITES_LIST = Object.keys(exports.SITES).reduce((acc, name) => acc.concat(exports.SITES[name]), []);
exports.SITES_DOMAINS = Object.keys(exports.SITES)
    .reduce((acc, name) => acc.concat(exports.SITES[name].url.replace('http://', '')), []);
//# sourceMappingURL=wikidot-kit.js.map