"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../../core/utils");
const models_1 = require("../../../models");
exports.default = async (req, res) => {
    const { wiki } = req.query;
    try {
        if (!wiki) {
            res.status(400).send('Wiki name is required');
            return;
        }
        const result = await models_1.db.raw(`
      SELECT DISTINCT unnest(tags) AS tag
      FROM wikidot_pages
      WHERE wiki_name = ?;`, [wiki]);
        const tags = result.rows.map((row) => row.tag);
        res.send(tags.sort((one, another) => one.localeCompare(another)));
    }
    catch (error) {
        res.status(500).send('Unhandled internal error, incident reported');
        utils_1.reportError(error, { tags: { location: 'wikidot/tags-list' } });
    }
};
//# sourceMappingURL=tags-list.js.map