"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const queues_1 = require("../components/queues");
const tasks_executer_1 = require("../components/tasks-executer");
function taskRunner(job) {
    return tasks_executer_1.default(job.data.task, job.data.args)
        .catch((error) => {
        utils_1.reportError(error, {
            message: 'Error during task processing',
            extra: {
                task: job.data.task,
                args: job.data.args,
            },
        });
        throw error;
    });
}
async function runWorker() {
    utils_1.log('Initiating worker process');
    await queues_1.bossReady;
    queues_1.boss.on('error', (error) => {
        utils_1.reportError(error, {
            message: 'Error during task processing',
        });
    });
    await queues_1.boss.subscribe('common', {
        teamSize: 4,
        teamConcurrency: 4,
    }, taskRunner);
    await queues_1.boss.subscribe('import', {
        teamSize: 4,
        teamConcurrency: 4,
    }, taskRunner);
    utils_1.log('Worker initiated');
}
exports.default = runWorker;
//# sourceMappingURL=worker.js.map