"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
class WikidotUser extends _1.Model {
    static get tableName() {
        return 'wikidot_users';
    }
    static upsert(user) {
        const insert = _1.db(WikidotUser.tableName).insert(user);
        const update = _1.db.queryBuilder().update(user);
        return Promise.resolve(_1.db.raw('? ON CONFLICT (uid) DO ? returning *', [insert, update]).get('rows').get(0));
    }
    static membersWithDiscordTag() {
        return Promise.resolve(_1.db.raw(`
            SELECT SUBSTRING(about FROM 'Discord<(.*)>') as discord_id
            FROM wikidot_users
            WHERE memberships \\? 'scp-ru' AND about LIKE '%Discord<%>%'
        `).then((result) => result.rows.map(row => row.discord_id)));
    }
}
exports.default = WikidotUser;
//# sourceMappingURL=wikidot-user.js.map