"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const wikidot_kit_1 = require("../components/wikidot-kit");
const utils_1 = require("../core/utils");
const models_1 = require("../models");
async function run(siteName, uid) {
    const wiki = wikidot_kit_1.SITES[siteName];
    utils_1.log(`Importing member ${uid} from ${wiki.name}`);
    try {
        const user = await wikidot_kit_1.wk.fetchUserProfile(wiki.url, uid);
        utils_1.log('Imported user profile', user);
        await models_1.WikidotUser.upsert({
            uid: user.uid,
            username: user.username,
            regDate: user.userSince,
            about: user.about,
            memberships: { [siteName]: user.memberSince },
        });
    }
    catch (error) {
        utils_1.reportError(error, { message: 'Error importing member profile', extra: { uid } });
    }
}
exports.default = run;
//# sourceMappingURL=member-import.js.map